NOTE: This is the Carpentries Code of Conduct, however, I have added two different phone number formats for the exercise.


The Carpentries Code of Conduct
About Our Code of Conduct
The Carpentries is a community-led project. We value the involvement of everyone in this community - learners, instructors, hosts, developers, Executive Council members and staff. We are committed to creating a friendly and respectful place for learning, teaching and contributing. All participants in our events and communications are expected to show respect and courtesy to others.

To make clear what is expected, everyone participating in Carpentry activities is required to conform to the following Code of Conduct. This code of conduct applies to all spaces managed by The Carpentries including, but not limited to, workshops, email lists, online forums and on GitHub. Workshop hosts are expected to assist with enforcement of the Code of Conduct.

If you believe someone is violating the Code of Conduct we ask that you report it to The Carpentry Policy subcommittee by emailing policy@carpentries.org or Cam Macdonell at confidential@carpentries.org, and if the violation occurs during a workshop or other in-person event, by contacting the host and/or coordinator. All reports will be kept confidential. When possible, please follow the reporting guidelines detailed here. All reports will be reviewed by the Policy subcommittee. A detailed enforcement policy can be found here.

Code of Conduct
The Carpentries are dedicated to providing a welcoming and supportive environment for all people, regardless of background or identity. However, we recognise that some groups in our community are subject to historical and ongoing discrimination, and may be vulnerable or disadvantaged. Membership in such a specific group can be on the basis of characteristics such as gender, sexual orientation, disability, physical appearance, body size, race, nationality, sex, colour, ethnic or social origin, pregnancy, citizenship, familial status, veteran status, genetic information, religion or belief, political or any other opinion, membership of a national minority, property, birth, age, or choice of text editor. We do not tolerate harassment of participants on the basis of these categories, or for any other reason.

Harassment is any form of behaviour intended to exclude, intimidate, or cause discomfort. Because we are a diverse community, we may have different ways of communicating and of understanding the intent behind actions. Therefore we have chosen to prohibit certain forms of behaviour in our community, regardless of intent. Prohibited harassing behaviour includes but is not limited to:

written or verbal comments which have the effect of excluding people on the basis of membership of a specific group listed above
causing someone to fear for their safety, such as through stalking, following, or intimidation
the display of sexual or violent images
unwelcome sexual attention
nonconsensual or unwelcome physical contact
sustained disruption of talks, events or communications
incitement to violence, suicide, or self-harm
continuing to initiate interaction (including photography or recording) with someone after being asked to stop
publication of private communication without consent
Behaviour not explicitly mentioned above may still constitute harassment. The list above should not be taken as exhaustive but rather as a guide to make it easier to enrich all of us and the communities in which we participate. All Carpentry interactions should be professional regardless of location: harassment is prohibited whether it occurs on- or offline, and the same standards apply to both.

Enforcement of the Code of Conduct will be respectful and not include any harassing behaviors. Any changes to the meaning of this Code of Conduct must be approved by majority vote of both the Policy subcommittee and The Carpentries Executive Council. The Carpentry Community will be informed of these changes and any concerns that are raised will be discussed by the Policy committee.

Thank you for helping make this a welcoming, friendly community for all.

This code of conduct is a modified version of that used by PyCon, which in turn is forked from a template written by the Ada Initiative and hosted on the Geek Feminism Wiki. Contributors to this document: Adam Obeng, Aleksandra Pawlik, Bill Mills, Carol Willing, Erin Becker, Hilmar Lapp, Kara Woo, Karin Lagesen, Pauline Barmby, Sheila Miguez, Simon Waldman, Tracy Teal.

Reporting Guidelines
If you believe someone is violating the Code of Conduct we ask that you report it to The Carpentry Policy subcommittee by emailing policy@carpentries.org or C. MacDonnell at confidential@carpentries.org.

All reports will be kept confidential. 
In some cases we may determine that a public statement will need to be made. If that’s the case, the identities of all victims and reporters will remain confidential unless those individuals instruct us otherwise.

If the violation occurred at an in-person event, please contact the event host and/or coordinator so that they can take any appropriate immediate response, as well as contacting the subcommittee. You can also contact The Carpentries Executive Director Tracy Teal by telephone at 1-530-341-3230 or +1 (530) 341-3230 or (530)341-3230

If you believe anyone is in physical danger, please notify appropriate law enforcement first. 
If you are unsure which law enforcement agency is appropriate, please include this in your report and we will attempt to notify them.

Reports can be filed anonymously with minimal details. If you don’t feel you can provide details, we would still like to be aware that an incident occurred. Our ability to act is impacted by the amount of information you can provide however, so, if you can, please include in your report:

Your contact info (so we can get in touch with you if we need to follow up).
Names (real, nicknames, or pseudonyms) of any individuals involved. If there were other witnesses besides you, please try to include them as well.
When and where the incident occurred. Please be as specific as possible.
Your account of what occurred. If there is a publicly available record (e.g. a mailing list archive or a GitHub discussion) please include a link.
Any extra context you believe existed for the incident.
If you believe this incident is ongoing.
Any other information you believe we should have.
What happens after you file a report? 
The recipient of the report will attempt to ensure your safety and help with any immediate needs, particularly at an in-person event. You will receive an email from the Policy subcommittee (“the committee”) acknowledging receipt within 24 hours (and we’ll aim for much more quickly than that). The committee will make all efforts to meet within two days to review the incident and determine:

Whether this is an ongoing situation, or if there is a threat to anyone’s physical safety.
What happened.
Whether this event constitutes a code of conduct violation.
Who the bad actor was, if any.
If this is determined to be an ongoing incident or a threat to physical safety, the committee’s immediate priority will be to protect everyone involved. This means we may delay an “official” response until we believe that the situation has ended and that everyone is physically safe.

Once the committee has a complete account of the events they will make a decision as to how to respond. Responses may include:

Nothing (if we determine that no violation occurred)
A private reprimand from the committee to the individual(s) involved
A public announcement that an incident occurred
An imposed vacation (i.e. asking someone to “take a week off” from a mailing list)
A permanent or temporary ban from some or all Carpentry spaces (mailing lists, GitHub repos, in-person events, etc.)
Assistance to the complainant with a report to other bodies, for example, institutional offices or appropriate law enforcement agencies
We’ll respond within one week to the original reporter with either a resolution or an explanation of why the situation is not yet resolved.

Once we’ve determined our final action, we’ll contact the original reporter to let them know what action (if any) we’ll be taking. We’ll take into account feedback from the reporter on the appropriateness of our response, but we may decide not to act on that feedback.

Finally, the committee will make a report on the situation to the appropriate Carpentry steering committee. The steering committee may choose to make a public report of the incident, while maintaining anonymity of those involved.

Appealing 
Only resolutions with permanent consequences (such as bans) may be appealed. To appeal a decision of the committee, contact the Carpentry Executive Council at executive-council@carpentries.org with your appeal and the Executive Council will review the case.

This reporting procedure is an adaptation of the one used by the Django Project. Contributors to this document: Adam Obeng, Aleksandra Pawlik, Bill Mills, Carol Willing, Erin Becker, Hilmar Lapp, Kara Woo, Karin Lagesen, Pauline Barmby, Sheila Miguez, Simon Waldman, Tracy Teal.

Enforcement Manual
This is the enforcement manual followed by The Carpentries Policy subcommittee. It’s used when we respond to an issue to make sure we’re consistent and fair. It should be considered an internal document, but we’re publishing it publicly in the interests of transparency. Enforcement of the Code of Conduct should be respectful and not include any harassing behaviors.

The Policy Subcommittee 
All responses to reports of conduct violations will be managed by a Policy Subcommittee (“the committee”). The Carpentries Executive Council will jointly establish this committee, comprised of at least three members. One member will be designated chair of the group and will be responsible for all reports back to the Executive Council. The Executive Council will review membership on an annual basis.

How the committee will respond to reports 
When a report is sent to the committee they will immediately reply to the report to confirm receipt. This reply must be sent within 24 hours, and the committee should strive to respond much more quickly than that. See the reporting guidelines for details of what reports should contain. If a report doesn’t contain enough information, the committee will attempt to obtain all relevant data before acting. The committee is empowered to act on the behalf of The Carpentries in contacting any individuals involved to get a more complete account of events. The committee is also empowered to act if any of its members become aware of ongoing behaviour that, taken as a whole over a long time period, is disrupting or harassing. Such behaviour might not be “over the line” in any single incident, and thus may not generate a report.

Urgent Situations: Acting Unilaterally 
If the incident involves physical danger, or involves a threat to anyone’s safety (e.g. threats of violence), any member of the committee may – and should – act unilaterally to protect safety. This can include contacting law enforcement (or other local personnel) and speaking on behalf of The Carpentries.

If the act is ongoing, any committee member may act immediately, before reaching consensus, to diffuse the situation. In ongoing situations, any member may at their discretion employ any of the tools available to the committee, including bans and blocks. In situations where an individual committee member acts unilaterally, they must inform the other committee members as soon as possible, and report their actions to the committee for review within 24 hours.

Less-Urgent Situations 
Upon receiving a report of an incident, the committee, or at least three members, will review the incident and determine, to the best of their ability:

whether this is an ongoing situation
whether there is a threat to anyone’s physical safety
what happened
whether this event constitutes a code of conduct violation
who, if anyone, was the bad actor
This information will be collected in writing, and whenever possible the committee’s deliberations will be recorded and retained (i.e. email discussions, recorded voice conversations, etc). These records will be made available to Carpentry Executive Council and executive staff.

The committee should aim to have a resolution agreed upon within one week. In the event that a resolution can’t be determined in that time, the committee will respond to the reporter(s) with an update and projected timeline for resolution.

Resolutions
The committee must agree on a resolution by consensus of all members investigating the report in question. If the committee cannot reach consensus and deadlocks for over a week, they will turn the matter over to the Executive Council for resolution.

Possible responses may include:

Taking no further action (if we determine no violation occurred).
A private reprimand from the committee to the individual(s) involved. In this case, the committee chair will deliver that reprimand to the individual(s) over email, cc’ing the group.
A public announcement of an incident, ideally in the same venue that the violation occurred (i.e. on the listserv for a listserv violation; GitHub for a GitHub violation, etc.). The committee may choose to publish this message elsewhere for posterity.
An imposed vacation (i.e. asking someone to “take a week off” from a listserv or the Carpentries’ GitHub repos). The committee chair will communicate this “vacation” to the individual(s). They’ll be asked to take this vacation voluntarily, but if they don’t agree then a temporary ban may be imposed to enforce this vacation.
A permanent or temporary ban from some or all Carpentry spaces (listservs, GitHub, in-person events including workshops, etc). The committee will maintain records of all such bans so that they may be reviewed in the future, extended to new Carpentry communication forums, or otherwise maintained.
Assistance to the complainant with a report to other bodies, for example, institutional offices or appropriate law enforcement agencies.
Once a resolution is agreed upon, but before it is enacted, the committee will contact the original reporter and any other affected parties and explain the proposed resolution. The committee will ask if this resolution is acceptable, and must note feedback for the record. However, the committee is not required to act on this feedback.

Finally the committee will make a report to the Carpentry Executive Council, as well as Carpentry directorship in the event of an ongoing resolution, such as a ban.

The Policy committee will never publicly discuss the details of the issue; all public statements will be made by the Carpentry Executive Council.

At the end of every quarter, the Executive Council will publish an aggregated count of the incidents the Policy Subcommittee dealt with, indicating how many reports it received, how many incidents it investigated independently, how many times it acted unilaterally, and for each of these which under part of the Code of Conduct the incident was classified.

Conflicts of Interest
In the event of any conflict of interest (a committee member, their family member, or someone with whom the committee member has a close academic or employment relationship is involved in a complaint), the committee member must immediately notify the other members, and recuse themselves if necessary.

This document is adapted from guidelines written by the Django Project, which was itself based on the Ada Initiative template and the PyCon 2013 Procedure for Handling Harassment Incidents. Contributors to this document: Adam Obeng, Aleksandra Pawlik, Bill Mills, Carol Willing, Erin Becker, Hilmar Lapp, Kara Woo, Karin Lagesen, Pauline Barmby, Sheila Miguez, Simon Waldman, Tracy Teal.
A public announcement of an incident, ideally in the same venue that the violation occurred (i.e. on the listserv for a listserv violation; GitHub for a GitHub violation, etc.). The committee may choose to publish this message elsewhere for posterity.
An imposed vacation (i.e. asking someone to “take a week off” from a listserv or the Carpentries’ GitHub repos). The committee chair will communicate this “vacation” to the individual(s). They’ll be asked to take this vacation voluntarily, but if they don’t agree then a temporary ban may be imposed to enforce this vacation.
A permanent or temporary ban from some or all Carpentry spaces (listservs, GitHub, in-person events including workshops, etc). The committee will maintain records of all such bans so that they may be reviewed in the future, extended to new Carpentry communication forums, or otherwise maintained.
Assistance to the complainant with a report to other bodies, for example, institutional offices or appropriate law enforcement agencies.
Once a resolution is agreed upon, but before it is enacted, the committee will contact the original reporter and any other affected parties and explain the proposed resolution. The committee will ask if this resolution is acceptable, and must note feedback for the record. However, the committee is not required to act on this feedback.
​
Finally the committee will make a report to the Carpentry Executive Council, as well as Carpentry directorship in the event of an ongoing resolution, such as a ban.
​
The Policy committee will never publicly discuss the details of the issue; all public statements will be made by the Carpentry Executive Council.
​
At the end of every quarter, the Executive Council will publish an aggregated count of the incidents the Policy Subcommittee dealt with, indicating how many reports it received, how many incidents it investigated independently, how many times it acted unilaterally, and for each of these which under part of the Code of Conduct the incident was classified.
​
Conflicts of Interest
In the event of any conflict of interest (a committee member, their family member, or someone with whom the committee member has a close academic or employment relationship is involved in a complaint), the committee member must immediately notify the other members, and recuse themselves if necessary.
​
This document is adapted from guidelines written by the Django Project, which was itself based on the Ada Initiative template and the PyCon 2013 Procedure for Handling Harassment Incidents. Contributors to this document: Adam Obeng, Aleksandra Pawlik, Bill Mills, Carol Willing, Erin Becker, Hilmar Lapp, Kara Woo, Karin Lagesen, Pauline Barmby, Sheila Miguez, Simon Waldman, Tracy Teal.
